
<div class="switchboard">
    {{queue.displayName}}
    <div class="switchboard-header">{{'AGT_SWITCHBOARD_CURRENT_CALLS' | translate}}</div>
    
    <div class="incoming-calls-list" >
        <div class="incoming-calls-title">
            <i class="fas fa-inbox"></i>
            
            <span class="text-switchboard" title="{{getIncomingQueue()}}">{{'AGT_SWITCHBOARD_INCOMING_CALLS' | translate}}</span>
            <span class="badge badge-switchboard">{{switchboardIncomingCalls.length}}</span>
        </div>
        
        <div class="incoming-calls-switchboard" ng-repeat="call in switchboardIncomingCalls">
            <img class="title-icon" src="/assets/images/ccagent/history/call_status_incoming.svg" />
            <div class="text-incoming-calls">
                <div class="name-number"> 
                    <div class="name">{{call.name}}</div>
                    <div>{{call.number}}</div>
                </div>
                <div class="queue-time">
                    <div elapsed-time-from="call.queueTime"></div>
                </div>
            </div>
        </div>
    </div>    

    <div class="waiting-calls-list" key-navigation kn-action="retrieveByIndex(index)" 
    kn-keybindings="['PageUp', 'PageDown', 'Enter']" kn-elem-id="hold-call-" kn-div-count="{{switchboardHoldCalls.length}}">          
        <div class="waiting-calls-title"> 
            <i class="far fa-hourglass"></i> 
            <span class="text-switchboard" title="{{getHoldQueue()}}">{{'AGT_SWITCHBOARD_WAITING_CALLS' | translate}}</span>
            <span class="badge badge-switchboard">{{switchboardHoldCalls.length}}</span>
        </div>
        <div class="calls-onhold-switchboard" ng-repeat="call in switchboardHoldCalls" id="{{'hold-call-' + $index}}" tabindex="{{$index}}">
            <i class="fas fa-pause"></i>
            <div class="text-onhold-calls">
                <div class="name-number"> 
                    <div class="name">{{call.name}}</div>
                    <div>{{call.number}}</div>
                </div>
                <div class="queue-time">
                    <div elapsed-time-from="call.queueTime"></div>
                </div>   
            </div>  
            <a href class="unhold" ng-click="retrieve(call)">
                <img class="img-play" src="/assets/images/ccagent/call/play_default.png"/> 
            </a>
        </div>
    </div>    
</div>